#pragma once

#include "Widget.h"

class MeshNode;
class AbstractMesh;

class MeshViewerView : public Widget
{
public:
    MeshViewerView();
    ~MeshViewerView();
    static std::unique_ptr<MeshViewerView> Create();
    void doPaint(const PaintEvent* event) override;
private:

    std::unique_ptr<AbstractMesh> mMesh;
    std::unique_ptr<MeshNode> mMeshNode;
};
